import request from '@/utils/request'

// 查询合同电梯生产令号序列号字段维护列表
export function listSn(query) {
  return request({
    url: '/business/liftSn/list',
    method: 'get',
    params: query
  })
}

// 查询合同电梯生产令号序列号字段维护详细
export function getSn(id) {
  return request({
    url: '/business/liftSn/' + id,
    method: 'get'
  })
}

// 新增合同电梯生产令号序列号字段维护
export function addSn(data) {
  return request({
    url: '/business/liftSn',
    method: 'post',
    data: data
  })
}

// 修改合同电梯生产令号序列号字段维护
export function updateSn(data) {
  return request({
    url: '/business/liftSn',
    method: 'put',
    data: data
  })
}

// 删除合同电梯生产令号序列号字段维护
export function delSn(id) {
  return request({
    url: '/business/liftSn/' + id,
    method: 'delete'
  })
}
